services:
  jellyfin:
    image: lscr.io/linuxserver/jellyfin:latest
    container_name: jellyfin
    volumes:
      - jellyfin_config:/config
      - type: volume
        source: synology_homes
        target: /data
        volume:
          nocopy: true
    ports:
      - 8097:8096
    restart: always
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Berlin
      - JELLYFIN_PublishedServerUrl=http://192.168.2.106:8097

  jdownloader:
    image: jlesage/jdownloader-2:latest
    container_name: jdownloader2
    volumes:
      - /home/orangepi/jd/config:/config
      - type: volume
        source: synology_homes
        target: /homes
        volume:
          nocopy: true
    ports:
      - 5800:5800
    restart: always
    environment:
      - UMASK=000
      - PUID=1000
      - PGID=1000

  sonarr:
    image: lscr.io/linuxserver/sonarr:latest
    container_name: sonarr
    volumes:
      - sonarr_config:/config
      - type: volume
        source: synology_homes
        target: /data
        volume:
          nocopy: true
    ports:
      - 8989:8989
    restart: always
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Berlin

  radarr:
    image: lscr.io/linuxserver/radarr:latest
    container_name: radarr
    volumes:
      - radarr_config:/config
      - type: volume
        source: synology_homes
        target: /data
        volume:
          nocopy: true
    ports:
      - 7878:7878
    restart: always
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Berlin

  bazarr:
    image: lscr.io/linuxserver/bazarr:latest
    container_name: bazarr
    volumes:
      - bazarr_config:/config
      - type: volume
        source: synology_homes
        target: /data
        volume:
          nocopy: true
    ports:
      - 6767:6767
    restart: always
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Berlin

volumes:
  jellyfin_config:
  sonarr_config:
  radarr_config:
  bazarr_config:
  synology_homes:
    driver: local
    driver_opts:
      type: nfs
      o: addr=192.168.2.132,rw,nfsvers=3,nolock
      device: ":/volume1/homes"
